//-----------------------------------------------
// Water - goute d'eau
//-----------------------------------------------
textures/dark/water/goute_fond
{
	qer_editorimage textures/dark/water/goute_fond.jpg
	qer_trans .5
	q3map_globaltexture
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
	cull disable
	//deformVertexes wave 512 sin 0.5 2 .5 .5

	
		{
			clampmap textures/dark/water/goute_fond.jpg
			blendfunc add
			rgbGen const ( .4 .4 .4 )
			tcMod stretch sawtooth 1.2 2 0.2 0.1 
		}
		{
			map textures/dark/water/goute_fond.jpg
			blendfunc add
			rgbGen wave sin 0 0.2 0.3 0.1 
			tcMod stretch sawtooth 2 4 0.5 0.1 
		}
		{
			map textures/dark/water/goute_reflet.jpg
			blendfunc gl_dst_color gl_one
			rgbGen const ( 0.164706 0.164706 0.164706 )
			tcMod rotate 4
			tcMod stretch sawtooth 1 2 0.2 0.1 
		}
		{
			map textures/dark/water/goute_reflet.jpg
			blendfunc gl_one gl_dst_color
			rgbGen const ( 0.192157 0.192157 0.192157 )
			tcMod rotate -4
			tcMod stretch inversesawtooth 1 2 0.2 0.1 
		}
		{
			map $lightmap 
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
		}
	
}


//-----------------------------------------------
// Water - fond
//-----------------------------------------------

textures/dark/water/hq_water_a
{
    qer_editorimage textures/dark/water/hq_water_a.tga
    qer_trans .5
    q3map_globaltexture
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    tessSize 128
    cull disable
    deformVertexes wave 512 sin 0.5 2 .5 .5
		
        {
            map textures/dark/water/hq_water_a.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scale .5 .5
            tcMod scroll -.006 .03
        }
        {
            map textures/dark/water/hq_water_b.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scale .5 .5
            tcMod scroll .03 -.006
        }
        {
            map textures/dark/water/hq_water_c.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scale .5 .5
            tcMod scroll -.03 .006
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

//-----------------------------------------------
// Porte - 1
//-----------------------------------------------
textures/dark/porte/porte_1
{	
	qer_editorimage textures/dark/porte/porte_1.tga
	qer_trans .5
	q3map_lightimage textures/dark/porte/porte_1.tga
	q3map_globaltexture
	q3map_surfacelight 50
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/porte/porte_1.tga
		blendfunc add
		rgbGen identity
	}
}
//-----------------------------------------------
// Porte - 2
//-----------------------------------------------
textures/dark/porte/porte_2
{
	qer_editorimage textures/dark/porte/porte_2.tga
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/porte/porte_3.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/dark/porte/porte_2.tga
		blendfunc add
		rgbGen identity
	}
}

//-----------------------------------------------
// Porte - 3
//-----------------------------------------------
textures/dark/porte/porte_3
{	
	qer_editorimage textures/dark/porte/porte_3.tga
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/porte/porte_3.tga
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/porte/porte_2.tga
		blendfunc add
		rgbGen identity
	}
}

//-----------------------------------------------
// Bouton_petit - ouvert
//-----------------------------------------------
textures/dark/bouton/petit_ouvert
{	
	qer_editorimage textures/dark/bouton/petit_ouvert.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	//cull disable
	{
		map textures/dark/bouton/petit_ouvert.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/bouton/petit_ouvert_glow.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7
	}
}

//-----------------------------------------------
// Bouton_petit - ferme
//-----------------------------------------------
textures/dark/bouton/petit_ferme
{	
	qer_editorimage textures/dark/bouton/petit_ferme.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	//cull disable
	{
		map textures/dark/bouton/petit_ferme.jpg
		blendfunc add
		rgbGen identity
	}
}

//-----------------------------------------------
// Bouton_grand - 1 re tape
//-----------------------------------------------
textures/dark/bouton/grand_1
{	
	qer_editorimage textures/dark/bouton/arc_1.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/bouton/arc_1.jpg
		blendfunc add
		rgbGen identity
	}
}

//-----------------------------------------------
// Bouton_grand - 2 me tape
//-----------------------------------------------
textures/dark/bouton/grand_2
{	
	qer_editorimage textures/dark/bouton/arc_2.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/bouton/arc_2.jpg
		blendfunc add
		rgbGen identity
	}
}

//-----------------------------------------------
// Bouton_grand - 3 me tape
//-----------------------------------------------
textures/dark/bouton/grand_3
{	
	qer_editorimage textures/dark/bouton/arc_3.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/bouton/arc_3.jpg
		blendfunc add
		rgbGen identity
	}
}

//-----------------------------------------------
// Bouton_grand - 4 me tape
//-----------------------------------------------
textures/dark/bouton/grand_4
{	
	qer_editorimage textures/dark/bouton/arc_4.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/bouton/arc_4.jpg
		blendfunc add
		rgbGen identity
	}
}

//-----------------------------------------------
// Bouton- grand - ouvert_anim
//-----------------------------------------------
textures/dark/bouton/grand_ouvert_anim
{	
	qer_editorimage textures/dark/bouton/centre.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		animmap 1
		textures/dark/bouton/arc_1.jpg
		textures/dark/bouton/arc_1.jpg
		textures/dark/bouton/arc_2.jpg
		textures/dark/bouton/arc_2.jpg
		textures/dark/bouton/arc_3.jpg
		textures/dark/bouton/arc_3.jpg
		textures/dark/bouton/arc_4.jpg
		textures/dark/bouton/arc_4.jpg
		blendfunc add
	}
	{
		map textures/dark/bouton/centre_glow.jpg
		blendfunc add
		rgbGen wave sin 0 1 -0.2 0.5
	}
	
}

//-----------------------------------------------
// Bouton_grand - ouvert
//-----------------------------------------------
textures/dark/bouton/grand_ouvert
{	
	qer_editorimage textures/dark/bouton/centre.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/bouton/arc_4.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/bouton/centre.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/bouton/centre_glow.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7
	}
	
}

//-----------------------------------------------
// Cercle - cyan
//-----------------------------------------------
textures/dark/cercle_b
{	
	qer_editorimage textures/dark/cercle_b.jpg
	//surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	//cull disable
	{
		map textures/dark/cercle_b.jpg
		blendfunc add
		rgbGen identity
		tcMod stretch inversesawtooth 1 0.2 0 0.7 
	}
	{
		map textures/dark/cercle_b_glow.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7
		tcMod stretch inversesawtooth 1 0.2 0 0.7 
	}
}

//-----------------------------------------------
// Hexabreak - jaune
//-----------------------------------------------
textures/dark/grid/grand/hexabreak_grand_j
{	
	qer_editorimage textures/dark/grid/grand/hexabreak_grand_j.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/grid/grand/hexabreak_grand_j.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/grid/grand/hexabreak_grand_glow_j.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7 
	}
}
//-----------------------------------------------
// Hexabreak - rouge
//-----------------------------------------------
textures/dark/grid/grand/hexabreak_grand_r
{	
	qer_editorimage textures/dark/grid/grand/hexabreak_grand_r.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/grid/grand/hexabreak_grand_r.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/grid/grand/hexabreak_grand_glow_r.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7 
	}
}
//-----------------------------------------------
// Hexabreak - bleu/cyan
//-----------------------------------------------
textures/dark/grid/grand/hexabreak_grand_b
{	
	qer_editorimage textures/dark/grid/grand/hexabreak_grand_b.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/grid/grand/hexabreak_grand_b.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/grid/grand/hexabreak_grand_glow_b.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7 
	}
}
//-----------------------------------------------
// Hexabreak - blanc
//-----------------------------------------------
textures/dark/grid/grand/hexabreak_grand_n
{	
	qer_editorimage textures/dark/grid/grand/hexabreak_grand_n.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/grid/grand/hexabreak_grand_n.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/grid/grand/hexabreak_grand_glow_n.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7 
	}
}
//-----------------------------------------------
// Hexa - jaune
//-----------------------------------------------
textures/dark/grid/Hexa_1_j
{	
	qer_editorimage textures/dark/grid/Hexa_1_j.jpg
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/grid/Hexa_1_j.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/grid/Hexa_1_glow_j.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7 
	}
}
//-----------------------------------------------
// Hexa - rouge
//-----------------------------------------------
textures/dark/grid/Hexa_1_r
{	
	qer_editorimage textures/dark/grid/Hexa_1_r.jpg
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/grid/Hexa_1_r.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/grid/Hexa_1_glow_r.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7 
	}
}
//-----------------------------------------------
// Hexa - bleu/cyan
//-----------------------------------------------
textures/dark/grid/Hexa_1_b
{	
	qer_editorimage textures/dark/grid/Hexa_1_b.jpg
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/grid/Hexa_1_b.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/grid/Hexa_1_glow_b.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7 
	}
}
//-----------------------------------------------
// Hexa - blanc
//-----------------------------------------------
textures/dark/grid/Hexa_1_n
{	
	qer_editorimage textures/dark/grid/Hexa_1_n.jpg
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/dark/grid/Hexa_1_n.jpg
		blendfunc add
		rgbGen identity
	}
	{
		map textures/dark/grid/Hexa_1_glow_n.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7 
	}
}

//-----------------------------------------------
// radius - cyan_2
//-----------------------------------------------
textures/dark/radius/radius_2_b
{	
	qer_editorimage textures/dark/radius/radius_2_b.jpg
	surfaceparm nolightmap
	{
		map textures/dark/radius/radius_2_b.jpg
		rgbGen identity
	}
	{
		map textures/dark/radius/radius_2_glow_b.jpg
		blendfunc add
		rgbGen wave sin 0 1 0 0.7
	}
}

//-----------------------------------------------
// Glass
//-----------------------------------------------
textures/dark/glass/glass_1
{	qer_editorimage textures/dark/glass/glass_1.jpg
	qer_trans 0.5
	surfaceparm trans
	cull disable
	{	map textures/dark/glass/glass_1.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
}


//-----------------------------------------------
// Blanc
//-----------------------------------------------
textures/dark/blanc
{
		qer_editorimage textures/dark/blanc.jpg
		q3map_lightimage textures/dark/blanc.jpg
		q3map_globaltexture
		q3map_surfacelight 50
	
        {
            map textures/dark/blanc.jpg
            rgbGen identity
			rgbGen const ( 0.7 0.7 0.7 )
        }       

}
//-----------------------------------------------
// Blanc test
//-----------------------------------------------
textures/dark/blanc_2
{
        qer_editorimage textures/dark/blanc.jpg
        {
            map textures/dark/blanc.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
			rgbGen const ( .8 .8 .8 )
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/dark/reflet/chrome_tint.tga
            rgbGen identity
		    rgbGen const ( 1.0 1.0 1.0 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// Noir
//-----------------------------------------------
textures/dark/noir
{
		qer_editorimage textures/dark/noir.jpg
		q3map_lightimage textures/dark/noir.jpg
		q3map_globaltexture
		q3map_surfacelight 30
		
	
        {
            map textures/dark/noir.jpg
            rgbGen identity
			rgbGen const ( 0.07 0.07 0.07 )
        }       

}

//-----------------------------------------------
// Noir test
//-----------------------------------------------
textures/dark/noir_2
{
        qer_editorimage textures/dark/noir.jpg
		q3map_lightimage textures/dark/noir.jpg
		q3map_globaltexture
		q3map_surfacelight 30
		
        {
            map textures/dark/noir.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/dark/reflet/chrome_tint.tga
            rgbGen identity
		    rgbGen const ( 0.3 0.3 0.3 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// fluo - cyan
//-----------------------------------------------

textures/dark/fluo/cyan
{
	qer_editorimage textures/dark/fluo/cyan.jpg
	//qer_trans .5
	q3map_lightimage textures/dark/fluo/cyan.jpg
	q3map_globaltexture
	q3map_surfacelight 500
	surfaceparm nolightmap
	//surfaceparm trans
	//surfaceparm nonsolid
	cull none

	{
		map textures/dark/fluo/cyan.jpg
		rgbGen const ( 1 1 1 )
	}
	{
		map textures/dark/fluo/cyan_glow.jpg
		rgbGen const ( .5 .5 .5 )
	}

}
//-----------------------------------------------
// fluo - orange
//-----------------------------------------------

textures/dark/fluo/orange
{
	qer_editorimage textures/dark/fluo/orange.jpg
	//qer_trans .5
	q3map_lightimage textures/dark/fluo/orange.jpg
	q3map_globaltexture
	q3map_surfacelight 500
	surfaceparm nolightmap
	//surfaceparm trans
	//surfaceparm nonsolid
	cull none

	{
		map textures/dark/fluo/orange.jpg
		//alphaFunc GT0
		//blendFunc GL_ONE GL_ONE
		//blendfunc gl_src_alpha gl_dst_alpha
		rgbGen identity
		rgbGen const ( 1 1 1 )
	}

}
//-----------------------------------------------
// fluo - jaune
//-----------------------------------------------

textures/dark/fluo/jaune
{
	qer_editorimage textures/dark/fluo/jaune.jpg
	//qer_trans .5
	q3map_lightimage textures/dark/fluo/jaune.jpg
	q3map_globaltexture
	q3map_surfacelight 500
	surfaceparm nolightmap
	//surfaceparm trans
	//surfaceparm nonsolid
	cull none

	{
		map textures/dark/fluo/jaune.jpg
		//alphaFunc GT0
		//blendFunc GL_ONE GL_ONE
		//blendfunc gl_src_alpha gl_dst_alpha
		rgbGen identity
		rgbGen const ( 1 1 1 )
	}

}
